Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics

Enclosing class:
  AbstractDynamicMetadataResolver

public static class AbstractDynamicMetadataResolver.PersistentCacheInitializationMetrics extends Object
Class used to track metrics related to the initialization from the persistent cache.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`enabled`
Whether or not persistent caching was enabled.
`private int`
`entriesLoaded`
Entries which were successfully loaded and made live.
`private int`
`entriesSkippedAlreadyLive`
Entries which were skipped because they were already live by the time they were processed, generally only seen when initializing from the persistent cache in a background thread.
`private int`
`entriesSkippedFailedPredicate`
Entries which were skipped because they failed the persistent cache predicate evaluation.
`private int`
`entriesSkippedInvalid`
Entries which were skipped because they were determined to be invalid.
`private int`
`entriesSkippedProcessingException`
Entries which were skipped due to a processing exception.
`private int`
`entriesTotal`
Total entries seen in the persistent cache.
`private long`
`processingTime`
Total processing time for the persistent cache, in nanoseconds.

## Constructor Summary

Constructors
Constructor
Description
`PersistentCacheInitializationMetrics()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEntriesLoaded()`
Get entries which were successfully loaded and made live.
`int`
`getEntriesSkippedAlreadyLive()`
Get entries which were skipped because they were already live by the time they were processed, generally only seen when initializing from the persistent cache in a background thread.
`int`
`getEntriesSkippedFailedPredicate()`
Get entries which were skipped because they failed the persistent cache predicate evaluation.
`int`
`getEntriesSkippedInvalid()`
Get entries which were skipped because they were determined to be invalid.
`int`
`getEntriesSkippedProcessingException()`
Get entries which were skipped due to a processing exception.
`int`
`getEntriesTotal()`
Get total entries seen in the persistent cache.
`long`
`getProcessingTime()`
Get total processing time for the persistent cache, in nanoseconds.
`boolean`
`isEnabled()`
Get whether or not persistent caching was enabled.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### enabled

private boolean enabled
Whether or not persistent caching was enabled.

### processingTime

private long processingTime
Total processing time for the persistent cache, in nanoseconds.

### entriesTotal

private int entriesTotal
Total entries seen in the persistent cache.

### entriesLoaded

private int entriesLoaded
Entries which were successfully loaded and made live.

### entriesSkippedAlreadyLive

private int entriesSkippedAlreadyLive
Entries which were skipped because they were already live by the time they were processed, generally only seen when initializing from the persistent cache in a background thread.

### entriesSkippedInvalid

private int entriesSkippedInvalid
Entries which were skipped because they were determined to be invalid.

### entriesSkippedFailedPredicate

private int entriesSkippedFailedPredicate
Entries which were skipped because they failed the persistent cache predicate evaluation.

### entriesSkippedProcessingException

private int entriesSkippedProcessingException
Entries which were skipped due to a processing exception.

## Constructor Details

### PersistentCacheInitializationMetrics

public PersistentCacheInitializationMetrics()

## Method Details

### isEnabled

public boolean isEnabled()
Get whether or not persistent caching was enabled.

Returns:
  Returns the enabled.

### getProcessingTime

public long getProcessingTime()
Get total processing time for the persistent cache, in nanoseconds.

Returns:
  Returns the processingTime.

### getEntriesTotal

public int getEntriesTotal()
Get total entries seen in the persistent cache.

Returns:
  Returns the entriesTotal.

### getEntriesLoaded

public int getEntriesLoaded()
Get entries which were successfully loaded and made live.

Returns:
  Returns the entriesLoaded.

### getEntriesSkippedAlreadyLive

public int getEntriesSkippedAlreadyLive()
Get entries which were skipped because they were already live by the time they were processed, generally only seen when initializing from the persistent cache in a background thread.

Returns:
  Returns the entriesSkippedAlreadyLive.

### getEntriesSkippedInvalid

public int getEntriesSkippedInvalid()
Get entries which were skipped because they were determined to be invalid.

Returns:
  Returns the entriesSkippedInvalid.

### getEntriesSkippedFailedPredicate

public int getEntriesSkippedFailedPredicate()
Get entries which were skipped because they failed the persistent cache predicate evaluation.

Returns:
  Returns the entriesSkippedFailedPredicate.

### getEntriesSkippedProcessingException

public int getEntriesSkippedProcessingException()
Get entries which were skipped due to a processing exception.

Returns:
  Returns the entriesSkippedProcessingException.

### toString

public String toString()

Overrides:
  `toString` in class `Object`